/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/CAOPTION.CPP   1.2.1.5   17 Apr 1997 15:42:54   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/CAOPTION.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:42:54   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:17:24   ZJRD
** No change.
** 
**    Rev 1.2.1.3   10 Apr 1997 15:28:48   ZJRD
** 2.09F
** 
**    Rev 1.2.1.1   03 Apr 1997 15:10:16   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:15:16   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:26:30   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:44:56   ZJRD
** Initial revision.
** 
**    Rev 1.3.1.0.1.2   09 Dec 1996 10:14:10   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.3.1.0.1.0   11 Nov 1996 12:57:24   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.3.1.4   09 Sep 1996 13:13:24   ZJRD
** No change.
** 
**    Rev 1.3.1.3   05 Sep 1996 11:24:56   ZJRD
** No change.
** 
**    Rev 1.3.1.2   02 Sep 1996 09:52:04   ZJRD
** No change.
** 
**    Rev 1.3.1.1   28 Aug 1996 15:43:44   ZJRD
** EasyPack/SLD Version 1.9b
** 
**    Rev 1.3.1.0   12 Aug 1996 10:49:08   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.0   29 May 1996 09:35:34   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// caoption.cpp
//
// Michael long
//                                                                           
// 5/15/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "ca.h"
#include "caoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAOption dialog


CAOption::CAOption(CATool * pTool)
    : CPropertyPage(CAOption::IDD)
{                                
    ASSERT(pTool);              
    
    m_pTool = pTool;
    
    LoadData();
    
    //{{AFX_DATA_INIT(CAOption)

	//}}AFX_DATA_INIT
}

void CAOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CAOption)
    DDX_Text(pDX, IDC_CAOPT_EDIT, m_strMore);
    DDX_Text(pDX, IDC_CAOPT_PATH_EDIT, m_strPath);
	DDX_Text(pDX, IDC_CAOPT_PATH_EDITINC, m_incPath);
	//}}AFX_DATA_MAP
}

void CAOption::SaveData(void)
{                                  
    //UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_strMore.TrimLeft();
    m_strMore.TrimRight();
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_pTool->m_strMore   = m_strMore;
    m_pTool->m_strPath   = m_strPath;
    m_pTool->m_incPath   = m_incPath;
}

void CAOption::LoadData(void)
{
    m_strMore   = m_pTool->m_strMore;
    m_strPath   = m_pTool->m_strPath; 
    m_incPath   = m_pTool->m_incPath;
}

BEGIN_MESSAGE_MAP(CAOption, CPropertyPage)
    //{{AFX_MSG_MAP(CAOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CAOption message handlers
